// Fix Drupal core modals - their solution fails in multiple ways.
// Wrong styling, wrong & buggy height calculation, etc.
.ui-dialog:not(.ui-dialog-off-canvas){
  display: flex !important;
  flex-direction: column;
  position: fixed !important;
  height: auto !important;
  width: 90% !important;
  top: 50% !important;
  left: 50% !important;
  max-height: 95vh !important;
  max-width: 1200px !important;
  transform: translate(-50%, -50%) !important;
  .ui-dialog-titlebar{
    background-color: var(--drowl-green) !important;
    background-image: #{url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='UTF-8' standalone='no'?%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3Csvg width='100%25' height='100%25' viewBox='0 0 5738 1743' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' xml:space='preserve' xmlns:serif='http://www.serif.com/' style='fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:2;'%3E%3Cg transform='matrix(4.16667,0,0,4.16667,3512.7,524.631)'%3E%3Cpath d='M0,166.005C-8.836,213.656 -69.841,266.429 -145.634,264.598C-239.603,262.329 -291.987,195.987 -291.987,147.742C-291.987,99.495 -118.637,123.828 -193.616,8.861C-256.59,-87.699 -135.337,-48.811 -53.638,28.14C-11.683,67.657 9.978,112.19 0,166.005M27.765,89.051C11.368,29.638 -43.691,-18.319 -130.892,-61.298C-214.699,-102.802 -301.965,-132.432 -319.248,-124.674C-357.269,-104.782 -253.682,-12.208 -302.566,71.626C-329.18,112.995 -336.835,151.698 -313.816,195C-292.5,236.233 -240.509,282.063 -187.168,289.919C-130.501,298.437 -59.428,283.104 -15.997,245.426C28.854,208.567 46.062,149.362 27.765,89.051' style='fill:white;fill-opacity:0.1;'/%3E%3C/g%3E%3Cg transform='matrix(4.16667,0,0,4.16667,708.488,1305.83)'%3E%3Cpath d='M0,-208.552C-22.945,-222.483 -51.625,-228.219 -97.515,-228.219L-139.717,-228.219L-139.717,19.667L-97.515,19.667C-43.841,19.667 -12.701,11.883 11.473,-7.375C39.334,-29.91 54.904,-64.738 54.904,-104.481C54.904,-149.551 34.827,-187.656 0,-208.552M-88.501,47.119L-170.037,47.119L-170.037,-255.671L-98.745,-255.671C-43.841,-255.671 -11.882,-249.115 16.799,-231.906C61.869,-205.274 85.634,-160.204 85.634,-103.252C85.634,-15.98 29.91,47.119 -88.501,47.119' style='fill:white;fill-opacity:0.1;fill-rule:nonzero;'/%3E%3C/g%3E%3Cg transform='matrix(4.16667,0,0,4.16667,1621.83,711.717)'%3E%3Cpath d='M0,76.62L84.814,189.705L47.119,189.705L-54.904,52.446C29.91,52.446 58.591,37.696 58.591,-16.798C58.591,-67.195 27.452,-85.633 -43.021,-85.633L-85.633,-85.633L-85.633,189.705L-115.954,189.705L-115.954,-113.085L-40.973,-113.085C54.084,-113.085 89.321,-78.668 89.321,-15.569C89.321,38.105 58.182,70.474 0,76.62' style='fill:white;fill-opacity:0.1;fill-rule:nonzero;'/%3E%3C/g%3E%3Cg transform='matrix(4.16667,0,0,4.16667,4760.49,240.529)'%3E%3Cpath d='M0,302.79L-44.661,302.79L-93.419,102.433L-143.405,302.79L-187.656,302.79L-276.567,0L-219.205,0L-165.94,211.421L-114.314,0L-73.342,0L-22.535,211.421L31.139,0L88.501,0L0,302.79Z' style='fill:white;fill-opacity:0.1;fill-rule:nonzero;'/%3E%3C/g%3E%3Cg transform='matrix(4.16667,0,0,4.16667,5117.29,240.529)'%3E%3Cpath d='M0,302.79L0,0L56.133,0L56.133,249.115L148.731,249.115L148.731,302.79L0,302.79Z' style='fill:white;fill-opacity:0.1;fill-rule:nonzero;'/%3E%3C/g%3E%3C/svg%3E")} !important;
    background-repeat: no-repeat !important;
    background-position: center center !important;
    background-size: auto 50% !important;
  }
  .ui-dialog-titlebar-close{
    border-color: rgba(255,255,255,.35) !important;
  }
  .ui-widget-content.ui-dialog-content{
    max-height:none !important;
    height:100% !important;
    overflow:auto !important;
  }
  .ui-dialog-content{
    > [class*="-form"] > .form-wrapper{
      > .form-actions:last-child{
        position:sticky;
        bottom:0;
        left:0;
        background: white;
        box-shadow: 0 20px 0 white;
        z-index:1;
      }
    }
  }
}
